package com.example.administrator.zhapp.entity;

import java.util.List;

/**
 * Created by Rehome-rjb1 on 2017/3/20.
 */

public class JsjlInfo {


    /**
     * Rows : [{"itemnum":"IT44908","description":"内六角圆头螺栓 M8×25","actualdate":"2016/9/3 11:14:44","statusdate":"","transdate":"2016/10/28 15:49:23","ponum":"P1601039","quantity":"-2","receivedunit":"个","unitcost":"0.26","linecost":"-0.52","issuetype":"退回","tostoreloc":"ZHPS","frombin":"","tobin":"111","enterby":"MAXADMIN","statuschangeby":"","remark":"M8×25"},{"itemnum":"IT44908","description":"内六角圆头螺栓 M8×25","actualdate":"2016/9/3 11:14:44","statusdate":"","transdate":"2016/10/28 14:16:37","ponum":"P1601039","quantity":"-3","receivedunit":"个","unitcost":"0.26","linecost":"-0.78","issuetype":"退回","tostoreloc":"ZHPS","frombin":"","tobin":"111","enterby":"MAXADMIN","statuschangeby":"","remark":"M8×25"},{"itemnum":"IT44908","description":"内六角圆头螺栓 M8×25","actualdate":"2016/9/3 11:14:44","statusdate":"","transdate":"2016/10/28 14:13:47","ponum":"P1601039","quantity":"-2","receivedunit":"个","unitcost":"0.26","linecost":"-0.52","issuetype":"退回","tostoreloc":"ZHPS","frombin":"","tobin":"111","enterby":"MAXADMIN","statuschangeby":"","remark":"M8×25"}]
     * Total : 3
     */

    private String Total;
    private List<Jsjl> Rows;

    public String getTotal() {
        return Total;
    }

    public void setTotal(String Total) {
        this.Total = Total;
    }

    public List<Jsjl> getRows() {
        return Rows;
    }

    public void setRows(List<Jsjl> Rows) {
        this.Rows = Rows;
    }

    public static class Jsjl {
        /**
         * itemnum : IT44908
         * description : 内六角圆头螺栓 M8×25
         * actualdate : 2016/9/3 11:14:44
         * statusdate :
         * transdate : 2016/10/28 15:49:23
         * ponum : P1601039
         * quantity : -2
         * receivedunit : 个
         * unitcost : 0.26
         * linecost : -0.52
         * issuetype : 退回
         * tostoreloc : ZHPS
         * frombin :
         * tobin : 111
         * enterby : MAXADMIN
         * statuschangeby :
         * remark : M8×25
         */

        private String itemnum;//项目编码
        private String description;//描述
        private String actualdate;//到货日期
        private String statusdate;//入库日期
        private String transdate;//交易日期
        private String ponum;//采购单号
        private String quantity;//数量
        private String receivedunit;//订购单位
        private String unitcost;//单位成本
        private String linecost;//行成本
        private String issuetype;//交易类型
        private String tostoreloc;//目标位置
        private String frombin;//原货柜
        private String tobin;//目标货柜
        private String enterby;//输入人
        private String statuschangeby;//状态变更人
        private String remark;//备注

        public String getItemnum() {
            return itemnum;
        }

        public void setItemnum(String itemnum) {
            this.itemnum = itemnum;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getActualdate() {
            return actualdate;
        }

        public void setActualdate(String actualdate) {
            this.actualdate = actualdate;
        }

        public String getStatusdate() {
            return statusdate;
        }

        public void setStatusdate(String statusdate) {
            this.statusdate = statusdate;
        }

        public String getTransdate() {
            return transdate;
        }

        public void setTransdate(String transdate) {
            this.transdate = transdate;
        }

        public String getPonum() {
            return ponum;
        }

        public void setPonum(String ponum) {
            this.ponum = ponum;
        }

        public String getQuantity() {
            return quantity;
        }

        public void setQuantity(String quantity) {
            this.quantity = quantity;
        }

        public String getReceivedunit() {
            return receivedunit;
        }

        public void setReceivedunit(String receivedunit) {
            this.receivedunit = receivedunit;
        }

        public String getUnitcost() {
            return unitcost;
        }

        public void setUnitcost(String unitcost) {
            this.unitcost = unitcost;
        }

        public String getLinecost() {
            return linecost;
        }

        public void setLinecost(String linecost) {
            this.linecost = linecost;
        }

        public String getIssuetype() {
            return issuetype;
        }

        public void setIssuetype(String issuetype) {
            this.issuetype = issuetype;
        }

        public String getTostoreloc() {
            return tostoreloc;
        }

        public void setTostoreloc(String tostoreloc) {
            this.tostoreloc = tostoreloc;
        }

        public String getFrombin() {
            return frombin;
        }

        public void setFrombin(String frombin) {
            this.frombin = frombin;
        }

        public String getTobin() {
            return tobin;
        }

        public void setTobin(String tobin) {
            this.tobin = tobin;
        }

        public String getEnterby() {
            return enterby;
        }

        public void setEnterby(String enterby) {
            this.enterby = enterby;
        }

        public String getStatuschangeby() {
            return statuschangeby;
        }

        public void setStatuschangeby(String statuschangeby) {
            this.statuschangeby = statuschangeby;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }
    }
}
